<div align="center">
  <img align="center" width="100" height="100" src="docs/docs/img/logo.svg">
  <h3 align="center">Talhelper</h3>

  [![GitHub release (release name instead of tag name)](https://img.shields.io/github/v/release/budimanjojo/talhelper?include_prereleases)](https://github.com/budimanjojo/talhelper/releases)
  [![GitHub issues](https://img.shields.io/github/issues/budimanjojo/talhelper)](https://github.com/budimanjojo/talhelper/issues)
  [![License](https://img.shields.io/github/license/budimanjojo/talhelper)](https://github.com/budimanjojo/talhelper/blob/master/LICENSE)
  [![AUR link](https://img.shields.io/aur/version/talhelper-bin)](https://aur.archlinux.org/packages/talhelper-bin)

  <p align="center">
    A helper tool to help creating <a href="https://www.talos.dev">Talos</a> cluster in your GitOps repository.
    <br />
    <br />
    It's like <a href="https://kustomize.io">Kustomize</a> but for Talos manifest files with <a href="https://github.com/getsops/sops">SOPS</a> support natively.
    <br />
    <br />
    ·
    <a href="https://github.com/budimanjojo/talhelper/issues">Report Bug</a>
    ·
    <a href="https://github.com/budimanjojo/talhelper/issues">Request Feature</a>
  </p>
</div>

## About The Project

The main reason of this tool is to help creating Talos cluster in GitOps way.
Inspired by a python script written by [@bjw-s](https://github.com/bjw-s).

You can use this tool to generate Talos config file with `talhelper genconfig` command.
You can also use this tool to generate Talos secrets with `talhelper gensecret` command.

To get started, [read the documentation](https://budimanjojo.github.io/talhelper).

## License

Distributed under the BSD-3 License. See [LICENSE](./LICENSE) for more information.

## Sponsors

Thanks for those who are sponsoring or have sponsored my projects, it helps and motivates me to do more!

<a href="https://github.com/0dragosh"><img src="https://github.com/0dragosh.png" width="40px" alt="" /></a>
<a href="https://github.com/wouterbouvy"><img src="https://github.com/wouterbouvy.png" width="40px" alt="" /></a>
<a href="https://github.com/maxmouchet"><img src="https://github.com/maxmouchet.png" width="40px" alt="" /></a>
<a href="https://github.com/eocx"><img src="https://github.com/eocx.png" width="40px" alt="" /></a>
<a href="https://github.com/otosky"><img src="https://github.com/otosky.png" width="40px" alt="" /></a>
<a href="https://github.com/Toastyice"><img src="https://github.com/Toastyice.png" width="40px" alt="" /></a>
<a href="https://github.com/DrMxrcy"><img src="https://github.com/DrMxrcy.png" width="40px" alt="" /></a>
<a href="https://github.com/qjoly"><img src="https://github.com/qjoly.png" width="40px" alt="" /></a>
<a href="https://github.com/roachmanfp"><img src="https://github.com/roachmanfp.png" width="40px" alt="" /></a>

## Acknowledgments

* [Talos](https://github.com/siderolabs/talos) <- Obviously, for providing the code and everything
* [bjw-s](https://github.com/bjw-s) <- The guy who inspired this tool
* [k8s@home](https://github.com/k8s-at-home/) <- Best community of people running Kubernetes at home
